Bug Hunting Session
Bug 112472 - "Number" number format listbox entry should toggle the format as number uno command
Summary: "Number" number format listbox entry should toggle the format as number uno c...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.4.1.2 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Main-Menu Sidebar-Properties-Number-Format
  Show dependency treegraph
 
Reported: 2017-09-18 14:24 UTC by Emil Tanev
Modified: 2018-12-05 03:49 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot (139.96 KB, image/png)
2017-09-18 14:24 UTC, Emil Tanev
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Emil Tanev 2017-09-18 14:24:25 UTC
Created attachment 136340 [details]
screenshot

Open Calc
Change the Number fromat to Number in the sidebar (property pane). 
Examine the main toolbar - Format> Number Format

Issue: Number is not selected (highlighted) in the main toolbar dropdown. All the other formats get highlighted. 
Screenshot
Comment 1 Maxim Monastirsky 2017-09-18 14:46:33 UTC
The toolbar and menu commands are shortcuts to a number with 2 decimal places and a thousands separator. They will be highlighted once you set exactly this format in the sidebar. So IMHO it works as expected.
Comment 2 Emil Tanev 2017-09-18 16:24:14 UTC
Correct. However, why does the thousand separator not get selected from the property pane when choosing number? The issue may be thhis one here.
Comment 3 Aron Budea 2017-09-24 22:14:37 UTC
Seems reasonable.
Comment 4 Yousuf Philips (jay) (retired) 2017-09-24 23:19:10 UTC
(In reply to Aron Budea from comment #3)
> Seems reasonable.

yes it does, as clicking general, date, currency, percent and scientific toggle their corresponding buttons.
Comment 5 QA Administrators 2018-12-05 03:49:01 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug